Spawner = {}

function Spawner.new(name, interval)
	local spawner = {}
	spawner.name = name
	spawner.interval = interval
	spawner.time = 0
	spawner.nextspawn = interval

	spawner.update = spawner_update

	return spawner
end

function spawner_update(self, dt)
	self.time = self.time + 1 * dt
	if self.time > self.nextspawn then
		EntityManager.create( self.name, 830, math.random(32,540) )
		self.nextspawn = self.time + self.interval
	end
end