require("EntityManager")
require("Assets")
require("Spawner")

function love.load()
	math.randomseed(os.time())
	iconData = love.image.newImageData("icon.png")
	love.window.setTitle("Dungeon Pew Pew")
	love.window.setIcon(iconData)
	Assets.init()
	EntityManager.init()

	EntityManager.create("SBG", 0, 0)
	EntityManager.create("Player", 0, 300)
	EntityManager.create("Goblin", 800, 302)

	spawner = Spawner.new("Goblin", 0.1)
end

function love.update(dt)
	spawner:update(dt)
	EntityManager.update(dt)
end

function love.draw()
	EntityManager.draw()
end

function love.keypressed(key, unicode)
	if key == "escape" then
		love.event.quit()
	end
end