local Goblin = EntityManager.derive("Base")

function Goblin:init()
	self.image = Assets.getImage("goblin")
	self.speed = 400
end

function Goblin:update(dt)
	self.x = self.x - self.speed * dt
	if self.x < -64 then self.alive = false end
end

function Goblin:draw()
	love.graphics.draw(self.image, self.x, self.y)
end

return Goblin

