local ScrollingBackground = EntityManager.derive("Base")

function ScrollingBackground:init()
	self.firstframe = Assets.getImage("map")
	self.secondframe = Assets.getImage("map")
	self.firstframeX = 0
	self.firstframeY = 0
	self.secondframeX = 800
	self.secondframeY = 0
	self.speed = 600
end


function ScrollingBackground:update(dt)
	self.firstframeX = self.firstframeX - self.speed * dt
	self.secondframeX = self.secondframeX - self.speed * dt

	if self.firstframeX < -800 then self.firstframeX = self.secondframeX + 800 end
	if self.secondframeX < -800 then self.secondframeX = self.firstframeX + 800 end
end

function ScrollingBackground:draw()
	love.graphics.draw( self.firstframe, self.firstframeX, self.firstframeY)
	love.graphics.draw( self.secondframe, self.secondframeX, self.secondframeY)
end

return ScrollingBackground